aboutsummaryrefslogtreecommitdiffstats
path: root/testsuites/stability/src/main/resources/simulatorsetup
diff options
context:
space:
mode:
authorRossC <ross.carter@est.tech>2020-05-05 15:02:51 +0100
committerRossC <ross.carter@est.tech>2020-05-05 17:19:25 +0100
commit14722adc36a48f4e120b3ad9e6287cc939bfd130 (patch)
treec1c4f674506ee58d93386588e5447ea77ee40ed2 /testsuites/stability/src/main/resources/simulatorsetup
parent9d43f31c0069421ba3b29315c7232311db74180b (diff)
Stability tests and scripts for Frankfurt
Issue-ID: POLICY-2458 Change-Id: I193d4ec14aee3313a6ea01bb9c02c048da09dbca Signed-off-by: RossC <ross.carter@est.tech>
Diffstat (limited to 'testsuites/stability/src/main/resources/simulatorsetup')
-rw-r--r--testsuites/stability/src/main/resources/simulatorsetup/config/db/db.conf16
-rw-r--r--testsuites/stability/src/main/resources/simulatorsetup/config/db/db.sh22
-rw-r--r--testsuites/stability/src/main/resources/simulatorsetup/config/pdp/OnapPfConfig.json21
-rw-r--r--testsuites/stability/src/main/resources/simulatorsetup/docker-compose.yml27
-rwxr-xr-xtestsuites/stability/src/main/resources/simulatorsetup/setup_components.sh65
5 files changed, 151 insertions, 0 deletions
diff --git a/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.conf b/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.conf
new file mode 100644
index 00000000..8fbbd566
--- /dev/null
+++ b/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.conf
@@ -0,0 +1,16 @@
+# Copyright (C) 2020 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+MYSQL_ROOT_PASSWORD=secret
+MYSQL_USER=policy_user
+MYSQL_PASSWORD=policy_user
diff --git a/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.sh b/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.sh
new file mode 100644
index 00000000..86bf9411
--- /dev/null
+++ b/testsuites/stability/src/main/resources/simulatorsetup/config/db/db.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -xv
+# Copyright (C) 2020 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+for db in policyadmin
+do
+ mysql -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "CREATE DATABASE IF NOT EXISTS ${db};"
+ mysql -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "GRANT ALL PRIVILEGES ON \`${db}\`.* TO '${MYSQL_USER}'@'%' ;"
+done
+
+mysql -uroot -p"${MYSQL_ROOT_PASSWORD}" --execute "FLUSH PRIVILEGES;"
diff --git a/testsuites/stability/src/main/resources/simulatorsetup/config/pdp/OnapPfConfig.json b/testsuites/stability/src/main/resources/simulatorsetup/config/pdp/OnapPfConfig.json
new file mode 100644
index 00000000..de31d50f
--- /dev/null
+++ b/testsuites/stability/src/main/resources/simulatorsetup/config/pdp/OnapPfConfig.json
@@ -0,0 +1,21 @@
+{
+ "name":"OnapPfParameterGroup",
+ "pdpStatusParameters":{
+ "timeIntervalMs": 120000,
+ "pdpType":"apex",
+ "description":"Pdp Heartbeat",
+ "supportedPolicyTypes":[{"name":"onap.policies.controlloop.operational.Apex","version":"1.0.0"}]
+ },
+ "topicParameterGroup": {
+ "topicSources" : [{
+ "topic" : "POLICY-PDP-PAP",
+ "servers" : [ "message-router" ],
+ "topicCommInfrastructure" : "dmaap"
+ }],
+ "topicSinks" : [{
+ "topic" : "POLICY-PDP-PAP",
+ "servers" : [ "message-router" ],
+ "topicCommInfrastructure" : "dmaap"
+ }]
+ }
+}
diff --git a/testsuites/stability/src/main/resources/simulatorsetup/docker-compose.yml b/testsuites/stability/src/main/resources/simulatorsetup/docker-compose.yml
new file mode 100644
index 00000000..7eb2fb2e
--- /dev/null
+++ b/testsuites/stability/src/main/resources/simulatorsetup/docker-compose.yml
@@ -0,0 +1,27 @@
+# Copyright (C) 2020 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+version: '2'
+services:
+ message-router:
+ image: dmaap/simulator
+ container_name: dmaap-simulator
+ hostname: dmaap-simulator
+ ports:
+ - "3904:3904"
+ pdp:
+ image: pdp/simulator
+ container_name: pdp-simulator
+ depends_on:
+ - message-router
+ hostname: pdp-simulator
diff --git a/testsuites/stability/src/main/resources/simulatorsetup/setup_components.sh b/testsuites/stability/src/main/resources/simulatorsetup/setup_components.sh
new file mode 100755
index 00000000..c77a3cab
--- /dev/null
+++ b/testsuites/stability/src/main/resources/simulatorsetup/setup_components.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (c) 2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# the directory of the script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo ${DIR}
+
+# the temp directory used, within $DIR
+# omit the -p parameter to create a temporal directory in the default location
+WORK_DIR=`mktemp -d -p "$DIR"`
+echo ${WORK_DIR}
+
+cd ${WORK_DIR}
+
+# check if tmp dir was created
+if [[ ! "$WORK_DIR" || ! -d "$WORK_DIR" ]]; then
+ echo "Could not create temp dir"
+ exit 1
+fi
+
+# bring down maven
+mkdir maven
+cd maven
+curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
+tar -xzvf apache-maven-3.3.9-bin.tar.gz
+ls -l
+${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v
+cd ..
+
+git clone http://gerrit.onap.org/r/oparent
+git clone --depth 1 https://gerrit.onap.org/r/policy/models -b master
+
+cd models/models-sim/models-sim-dmaap
+${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn clean install -DskipTests --settings ${WORK_DIR}/oparent/settings.xml
+bash ./src/main/package/docker/docker_build.sh
+
+cd ../policy-models-sim-pdp
+${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn clean install -DskipTests --settings ${WORK_DIR}/oparent/settings.xml
+bash ./src/main/package/docker/docker_build.sh
+
+cd ${DIR}
+rm -rf ${WORK_DIR}
+
+docker run -p 3306:3306 -v ${DIR}/config/db:/docker-entrypoint-initdb.d --name mariadb --env-file ${DIR}/config/db/db.conf -d --rm mariadb:10.2.14 --lower-case-table-names=1 --wait_timeout=28800
+docker run -p 3904:3904 -d --name message-router --rm dmaap/simulator:latest
+sleep 10
+docker run --link message-router:message-router -d --rm --name pdp-simulator pdp/simulator:latest
+docker run -p 6969:6969 --link mariadb:mariadb --name policy-api -d --rm nexus3.onap.org:10001/onap/policy-api:2.2.3-SNAPSHOT
+docker run -p 7000:6969 --link mariadb:mariadb --link message-router:message-router --name policy-pap -d --rm nexus3.onap.org:10001/onap/policy-pap:2.2.2-SNAPSHOT